org.noggit

## Interface JSONWriter.Writable

All Known Implementing Classes:
  ClusterState, DocCollection, DocRouter.Range, Replica, RoutingRule, Slice, ZkNodeProps

Enclosing class:
  JSONWriter

    public static interface JSONWriter.Writable

Implement this interface on your class to support serialization

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `write(JSONWriter writer)`

### Method Detail

#### write

    void write(JSONWriter writer)